#version 330

in vec2 newTexture;
in vec3 fragNormal;

out vec4 outColor;
uniform sampler2D sampler;

void main()
{
    vec3 ambientLightIntensity = vec3(0.2f, 0.2f, 0.2f);
    vec3 sunLightIntensity = vec3(0.9f, 0.9f, 0.9f);
    vec3 sunLightDirection = normalize(vec3(-2.0f, 2.0f, 2.0f));

    vec4 texel = texture(sampler, newTexture);

    vec3 lightIntensity = ambientLightIntensity + sunLightIntensity * max(dot(fragNormal, sunLightDirection), 0.0f);

    outColor = vec4(texel.rgb * lightIntensity, texel.a);
}
